<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:20 CEST 2020 -->
<title>ShowRenderingService</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ShowRenderingService";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ShowRenderingService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../com/app/service/UserValidationService.html" title="class in com.app.service"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/app/service/ShowRenderingService.html" target="_top">Frames</a></li>
<li><a href="ShowRenderingService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.app.service</div>
<h2 title="Class ShowRenderingService" class="title">Class ShowRenderingService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.app.service.ShowRenderingService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ShowRenderingService</span>
extends java.lang.Object</pre>
<div class="block">ShowRenderingService is a class that deals with business logic and appropriately redirects to the database methods.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Joanna Bieganowska</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/app/service/ShowRenderingService.html#ShowRenderingService--">ShowRenderingService</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../com/app/beans/Video.html" title="class in com.app.beans">Video</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/service/ShowRenderingService.html#mostDislikedVideoService--">mostDislikedVideoService</a></span>()</code>
<div class="block">Method that redirects to the method that gets most disliked video in the database.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/service/ShowRenderingService.html#showBasedOnMoodService-java.lang.String-java.lang.String-">showBasedOnMoodService</a></span>(java.lang.String&nbsp;mood,
                      java.lang.String&nbsp;showChoice)</code>
<div class="block">Method that redirects to method which gets personalised shows for the user.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/service/ShowRenderingService.html#updateVideo-java.lang.Integer-java.lang.String-">updateVideo</a></span>(java.lang.Integer&nbsp;videoId,
           java.lang.String&nbsp;action)</code>
<div class="block">Method that redirects to the method that updates the parameter of the video object with regard to given action</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../com/app/beans/Video.html" title="class in com.app.beans">Video</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/service/ShowRenderingService.html#VideosFromChannel-java.lang.String-">VideosFromChannel</a></span>(java.lang.String&nbsp;channelName)</code>
<div class="block">Method that redirects to the method which obtains videos of a particular channel</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ShowRenderingService--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ShowRenderingService</h4>
<pre>public&nbsp;ShowRenderingService()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="showBasedOnMoodService-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showBasedOnMoodService</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>&gt;&nbsp;showBasedOnMoodService(java.lang.String&nbsp;mood,
                                                   java.lang.String&nbsp;showChoice)</pre>
<div class="block">Method that redirects to method which gets personalised shows for the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mood</code> - user's mood</dd>
<dd><code>showChoice</code> - user's choice of show type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>personaLizedList list of shows that are personalised for the user</dd>
</dl>
</li>
</ul>
<a name="mostDislikedVideoService--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mostDislikedVideoService</h4>
<pre>public&nbsp;<a href="../../../com/app/beans/Video.html" title="class in com.app.beans">Video</a>&nbsp;mostDislikedVideoService()</pre>
<div class="block">Method that redirects to the method that gets most disliked video in the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mostDislikedVideo video with biggest percentage of dislikes</dd>
</dl>
</li>
</ul>
<a name="VideosFromChannel-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VideosFromChannel</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../com/app/beans/Video.html" title="class in com.app.beans">Video</a>&gt;&nbsp;VideosFromChannel(java.lang.String&nbsp;channelName)</pre>
<div class="block">Method that redirects to the method which obtains videos of a particular channel</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>channelName</code> - name of the channel</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>videosFromChannel list of channel's videos</dd>
</dl>
</li>
</ul>
<a name="updateVideo-java.lang.Integer-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateVideo</h4>
<pre>public&nbsp;void&nbsp;updateVideo(java.lang.Integer&nbsp;videoId,
                        java.lang.String&nbsp;action)</pre>
<div class="block">Method that redirects to the method that updates the parameter of the video object with regard to given action</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>videoId</code> - ID of the video object</dd>
<dd><code>action</code> - action that indicates what should be done with video object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ShowRenderingService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../com/app/service/UserValidationService.html" title="class in com.app.service"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/app/service/ShowRenderingService.html" target="_top">Frames</a></li>
<li><a href="ShowRenderingService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
